gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: Prepare-script cleanup trap.


From: gnunet
Subject: [taler-deployment] branch master updated: Prepare-script cleanup trap.
Date: Wed, 25 Aug 2021 12:08:27 +0200

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new eb781a6  Prepare-script cleanup trap.
eb781a6 is described below

commit eb781a66f43ac4fea9bdfb2f3fc209cda2ebba88
Author: MS <ms@taler.net>
AuthorDate: Tue Aug 24 23:07:42 2021 -1100

    Prepare-script cleanup trap.
---
 bin/taler-deployment-prepare | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/bin/taler-deployment-prepare b/bin/taler-deployment-prepare
index e26a3bc..e654324 100755
--- a/bin/taler-deployment-prepare
+++ b/bin/taler-deployment-prepare
@@ -26,6 +26,14 @@ if [[ -z ${TALER_CONFIG_CURRENCY+x} ]]; then
   exit 1
 fi
 
+# The script stops what started along the flow.
+# This function should help against processes left
+# somehow running.
+function stop_running() {
+  taler-deployment-stop
+}
+trap "stop_running" EXIT
+
 function generate_config() {
   EXCHANGE_PUB=$(gnunet-ecc -p 
"$HOME/deployment/private-keys/${TALER_ENV_NAME}-exchange-master.priv")
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]